# Generated by Django 4.2.3 on 2023-07-21 13:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0003_userinvitation_alter_user_is_active_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Region",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=50, unique=True, verbose_name="region_prop_name"
                    ),
                ),
            ],
            options={
                "verbose_name": "region_model_name",
                "verbose_name_plural": "region_model_plural_name",
            },
        ),
        migrations.AddField(
            model_name="user",
            name="region",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.RESTRICT,
                to="accounts.region",
                verbose_name="region_model_name",
            ),
        ),
    ]
